unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics,
  Controls, Forms, Dialogs,
  RVStyle, RVScroll, RichView, RVEdit;

type
  TForm1 = class(TForm)
    RVStyle1: TRVStyle;
    RichViewEdit1: TRichViewEdit;
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
    function GetTextStyle(Style: TFontStyles = []; Color: TColor = clWindowText;
  SScript: TRVSubSuperScriptType = rvsssNormal): Integer;
    procedure MakeSampleDoc;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
  MakeSampleDoc;
end;

function TForm1.GetTextStyle(Style: TFontStyles; Color: TColor;
  SScript: TRVSubSuperScriptType): Integer;
var
  TextStyle: TFontInfo;
begin
  TextStyle := TFontInfo.Create(nil);
  TextStyle.Assign(RVStyle1.TextStyles[0]);
  TextStyle.Color := Color;
  TextStyle.Style := Style;
  TextStyle.SubSuperScriptType := SScript;
  Result := RVStyle1.FindTextStyle(TextStyle);
  TextStyle.Free;
end;

procedure TForm1.MakeSampleDoc;
begin
  RichViewEdit1.Clear;
  RichViewEdit1.AddNL('This is ', 0, 0);
  RichViewEdit1.Add('bold', GetTextStyle([fsBold]));
  RichViewEdit1.Add(' and ', 0);
  RichViewEdit1.Add('italic', GetTextStyle([fsItalic]));
  RichViewEdit1.Add(' and ', 0);
  RichViewEdit1.Add('underline', GetTextStyle([fsUnderline]));
  RichViewEdit1.Add('. This is superscript', 0);
  RichViewEdit1.Add('pl', GetTextStyle([], clWindowText, rvsssSuperScript));
  RichViewEdit1.Add(' and more superscript', 0);
  RichViewEdit1.Add('t', GetTextStyle([], clWindowText, rvsssSuperScript));
  RichViewEdit1.AddNL('', 0, 0);
  RichViewEdit1.AddNL('This is ', 0, 0);
  RichViewEdit1.Add('green', GetTextStyle([], clGreen));
  RichViewEdit1.Add(' and ', 0);
  RichViewEdit1.Add('red', GetTextStyle([], clRed));
  RichViewEdit1.Format;
end;



end.
